@echo off
rem **************************************************************
rem *  This is an MS-DOS BATCH file for uploading all of the     *
rem *  HTTPAPI members to the iSeries.  It's intended to make    *
rem *  the process of uploading this data less arduous.          *
rem **************************************************************
rem Copyright (c) 2001-2021 Scott C. Klement
rem All rights reserved.
rem
rem Redistribution and use in source and binary forms, with or without
rem modification, are permitted provided that the following conditions
rem are met:
rem 1. Redistributions of source code must retain the above copyright
rem    notice, this list of conditions and the following disclaimer.
rem 2. Redistributions in binary form must reproduce the above copyright
rem    notice, this list of conditions and the following disclaimer in the
rem    documentation and/or other materials provided with the distribution.
rem
rem    THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ''AS IS'' AND
rem    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
rem    IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
rem    ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
rem    FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
rem    DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
rem    OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
rem    HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
rem    LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
rem    OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
rem    SUCH DAMAGE.

rem
rem **************************************************************
set TEMPFILE=httpapi.fts
set HOST=%1
set USER=%2
set PASS=%3
set LIB=LIBHTTP
if "%HOST%"=="" goto usage
if "%USER%"=="" goto usage
if "%PASS%"=="" goto usage
echo %USER%> %TEMPFILE%
echo %PASS%>> %TEMPFILE%
echo quote site namefmt 1 >> %TEMPFILE%
echo cd /QSYS.LIB/QGPL.LIB >> %TEMPFILE%
echo quote site namefmt 0 >> %TEMPFILE%
echo quote crtl %LIB%>> %TEMPFILE%
echo quote crts file(%LIB%/qclsrc) rcdlen(92)>> %TEMPFILE%
echo quote crts file(%LIB%/qddssrc) rcdlen(92)>> %TEMPFILE%
echo quote crts file(%LIB%/qsrvsrc) rcdlen(92)>> %TEMPFILE%
echo quote crts file(%LIB%/qrpglesrc) rcdlen(112)>> %TEMPFILE%
echo quote crts file(%LIB%/qsh) rcdlen(124)>> %TEMPFILE%
echo quote crts file(%LIB%/qxmlgens) rcdlen(112)>> %TEMPFILE%
echo quote crts file(%LIB%/expat) rcdlen(112)>> %TEMPFILE%
echo quote crts file(%LIB%/qcmdsrc) rcdlen(92)>> %TEMPFILE%
echo cd %LIB%>> %TEMPFILE%
echo ascii>> %TEMPFILE%
echo put EXPAT.FILE/AMIGACON.H.MBR EXPAT.AMIGACON.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(AMIGACON.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/ASCII.H.MBR EXPAT.ASCII.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(ASCII.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/ASCIITAB.H.MBR EXPAT.ASCIITAB.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(ASCIITAB.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/COPYING.MBR EXPAT.COPYING >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(COPYING) srctype(TXT) >> %TEMPFILE%
echo put EXPAT.FILE/EXPAT.DSP.MBR EXPAT.EXPAT.DSP >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(EXPAT.DSP) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/EXPAT.H.MBR EXPAT.EXPAT.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(EXPAT.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/EXPAT_CO.H.MBR EXPAT.EXPAT_CO.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(EXPAT_CO.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/EXPAT_EX.H.MBR EXPAT.EXPAT_EX.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(EXPAT_EX.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/EXPAT_ST.D.MBR EXPAT.EXPAT_ST.D >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(EXPAT_ST.D) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/EXPATW.DSP.MBR EXPAT.EXPATW.DSP >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(EXPATW.DSP) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/EXPATW_S.D.MBR EXPAT.EXPATW_S.D >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(EXPATW_S.D) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/IASCIITA.H.MBR EXPAT.IASCIITA.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(IASCIITA.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/INTERNAL.H.MBR EXPAT.INTERNAL.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(INTERNAL.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/LATIN1TA.H.MBR EXPAT.LATIN1TA.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(LATIN1TA.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/LIBEXPAT.D.MBR EXPAT.LIBEXPAT.D >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(LIBEXPAT.D) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/MACCONFI.H.MBR EXPAT.MACCONFI.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(MACCONFI.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/MAKEFILE.M.MBR EXPAT.MAKEFILE.M >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(MAKEFILE.M) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/NAMETAB.H.MBR EXPAT.NAMETAB.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(NAMETAB.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/REF.HTML.MBR EXPAT.REF.HTML >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(REF.HTML) srctype(HTML) >> %TEMPFILE%
echo put EXPAT.FILE/STYLE.CSS.MBR EXPAT.STYLE.CSS >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(STYLE.CSS) srctype(CSS) >> %TEMPFILE%
echo put EXPAT.FILE/UTF8TAB.H.MBR EXPAT.UTF8TAB.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(UTF8TAB.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/WINCONFI.H.MBR EXPAT.WINCONFI.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(WINCONFI.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/XMLPARSE.C.MBR EXPAT.XMLPARSE.C >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(XMLPARSE.C) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/XMLROLE.C.MBR EXPAT.XMLROLE.C >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(XMLROLE.C) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/XMLROLE.H.MBR EXPAT.XMLROLE.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(XMLROLE.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/XMLTOK.C.MBR EXPAT.XMLTOK.C >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(XMLTOK.C) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/XMLTOK.H.MBR EXPAT.XMLTOK.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(XMLTOK.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/XMLTOK_I.C.MBR EXPAT.XMLTOK_I.C >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(XMLTOK_I.C) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/XMLTOK_I.H.MBR EXPAT.XMLTOK_I.H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(XMLTOK_I.H) srctype(C) >> %TEMPFILE%
echo put EXPAT.FILE/XMLTOK_N.C.MBR EXPAT.XMLTOK_N.C >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/EXPAT) mbr(XMLTOK_N.C) srctype(C) >> %TEMPFILE%
echo put QCLSRC.FILE/INSTALL.MBR QCLSRC.INSTALL >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QCLSRC) mbr(INSTALL) srctype(CLP) >> %TEMPFILE%
echo put QCLSRC.FILE/INSTMSGF.MBR QCLSRC.INSTMSGF >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QCLSRC) mbr(INSTMSGF) srctype(CLP) >> %TEMPFILE%
echo put QCLSRC.FILE/LICENSE.MBR QCLSRC.LICENSE >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QCLSRC) mbr(LICENSE) srctype(TXT) >> %TEMPFILE%
echo put QCLSRC.FILE/MKEXPATCL.MBR QCLSRC.MKEXPATCL >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QCLSRC) mbr(MKEXPATCL) srctype(CLP) >> %TEMPFILE%
echo put QCLSRC.FILE/PACKAGE.MBR QCLSRC.PACKAGE >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QCLSRC) mbr(PACKAGE) srctype(CLP) >> %TEMPFILE%
echo put QCMDSRC.FILE/EXAMPLE9.MBR QCMDSRC.EXAMPLE9 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QCMDSRC) mbr(EXAMPLE9) srctype(CMD) >> %TEMPFILE%
echo put QCMDSRC.FILE/HTTPAPI.MBR QCMDSRC.HTTPAPI >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QCMDSRC) mbr(HTTPAPI) srctype(CMD) >> %TEMPFILE%
echo put QCMDSRC.FILE/HTTPAPIPNL.MBR QCMDSRC.HTTPAPIPNL >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QCMDSRC) mbr(HTTPAPIPNL) srctype(PNLGRP) >> %TEMPFILE%
echo put QDDSSRC.FILE/CONFIGS.MBR QDDSSRC.CONFIGS >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QDDSSRC) mbr(CONFIGS) srctype(DSPF) >> %TEMPFILE%
echo put QDDSSRC.FILE/EXAMPLE14S.MBR QDDSSRC.EXAMPLE14S >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QDDSSRC) mbr(EXAMPLE14S) srctype(DSPF) >> %TEMPFILE%
echo put QRPGLESRC.FILE/CCSIDR4.MBR QRPGLESRC.CCSIDR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(CCSIDR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/CHANGELOG.MBR QRPGLESRC.CHANGELOG >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(CHANGELOG) srctype(TXT) >> %TEMPFILE%
echo put QRPGLESRC.FILE/COMM_H.MBR QRPGLESRC.COMM_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(COMM_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/COMMSSLR4.MBR QRPGLESRC.COMMSSLR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(COMMSSLR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/COMMTCPR4.MBR QRPGLESRC.COMMTCPR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(COMMTCPR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/COMPATR4.MBR QRPGLESRC.COMPATR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(COMPATR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/CONFIG_H.MBR QRPGLESRC.CONFIG_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(CONFIG_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/CONFIGR4.MBR QRPGLESRC.CONFIGR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(CONFIGR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/DECODERR4.MBR QRPGLESRC.DECODERR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(DECODERR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/ENCODERR4.MBR QRPGLESRC.ENCODERR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(ENCODERR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/ENCRYPTR4.MBR QRPGLESRC.ENCRYPTR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(ENCRYPTR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/ERRNO_H.MBR QRPGLESRC.ERRNO_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(ERRNO_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE1.MBR QRPGLESRC.EXAMPLE1 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE1) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE10.MBR QRPGLESRC.EXAMPLE10 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE10) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE11.MBR QRPGLESRC.EXAMPLE11 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE11) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE12.MBR QRPGLESRC.EXAMPLE12 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE12) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE13.MBR QRPGLESRC.EXAMPLE13 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE13) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE14.MBR QRPGLESRC.EXAMPLE14 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE14) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE15.MBR QRPGLESRC.EXAMPLE15 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE15) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE16.MBR QRPGLESRC.EXAMPLE16 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE16) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE17.MBR QRPGLESRC.EXAMPLE17 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE17) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE18.MBR QRPGLESRC.EXAMPLE18 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE18) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE19.MBR QRPGLESRC.EXAMPLE19 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE19) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE2.MBR QRPGLESRC.EXAMPLE2 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE2) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE20.MBR QRPGLESRC.EXAMPLE20 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE20) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE21.MBR QRPGLESRC.EXAMPLE21 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE21) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE22.MBR QRPGLESRC.EXAMPLE22 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE22) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE23.MBR QRPGLESRC.EXAMPLE23 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE23) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE24.MBR QRPGLESRC.EXAMPLE24 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE24) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE25.MBR QRPGLESRC.EXAMPLE25 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE25) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE26.MBR QRPGLESRC.EXAMPLE26 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE26) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE27.MBR QRPGLESRC.EXAMPLE27 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE27) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE3.MBR QRPGLESRC.EXAMPLE3 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE3) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE35.MBR QRPGLESRC.EXAMPLE35 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE35) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE37.MBR QRPGLESRC.EXAMPLE37 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE37) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE38.MBR QRPGLESRC.EXAMPLE38 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE38) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE4.MBR QRPGLESRC.EXAMPLE4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE40.MBR QRPGLESRC.EXAMPLE40 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE40) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE41.MBR QRPGLESRC.EXAMPLE41 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE41) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE5.MBR QRPGLESRC.EXAMPLE5 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE5) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE6.MBR QRPGLESRC.EXAMPLE6 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE6) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE7.MBR QRPGLESRC.EXAMPLE7 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE7) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE8.MBR QRPGLESRC.EXAMPLE8 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE8) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXAMPLE9.MBR QRPGLESRC.EXAMPLE9 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXAMPLE9) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/EXPAT_H.MBR QRPGLESRC.EXPAT_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(EXPAT_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/GSKSSL_H.MBR QRPGLESRC.GSKSSL_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(GSKSSL_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HEADER_H.MBR QRPGLESRC.HEADER_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HEADER_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HEADERR4.MBR QRPGLESRC.HEADERR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HEADERR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HTTPAPI_H.MBR QRPGLESRC.HTTPAPI_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HTTPAPI_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HTTPAPIR4.MBR QRPGLESRC.HTTPAPIR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HTTPAPIR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HTTPCMD_H.MBR QRPGLESRC.HTTPCMD_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HTTPCMD_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HTTPCMDR4.MBR QRPGLESRC.HTTPCMDR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HTTPCMDR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HTTPQSHR4.MBR QRPGLESRC.HTTPQSHR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HTTPQSHR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HTTPUTILR4.MBR QRPGLESRC.HTTPUTILR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HTTPUTILR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/HTTPXMLR4.MBR QRPGLESRC.HTTPXMLR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(HTTPXMLR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/IFSIO_H.MBR QRPGLESRC.IFSIO_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(IFSIO_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/INSTALLR4.MBR QRPGLESRC.INSTALLR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(INSTALLR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/LICENSE.MBR QRPGLESRC.LICENSE >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(LICENSE) srctype(TXT) >> %TEMPFILE%
echo put QRPGLESRC.FILE/MD4_H.MBR QRPGLESRC.MD4_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(MD4_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/MD4R4.MBR QRPGLESRC.MD4R4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(MD4R4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/MSTRINGR4.MBR QRPGLESRC.MSTRINGR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(MSTRINGR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/NTLM_C.MBR QRPGLESRC.NTLM_C >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(NTLM_C) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/NTLM_H.MBR QRPGLESRC.NTLM_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(NTLM_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/NTLM_P.MBR QRPGLESRC.NTLM_P >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(NTLM_P) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/NTLMR4.MBR QRPGLESRC.NTLMR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(NTLMR4) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/PRIVATE_H.MBR QRPGLESRC.PRIVATE_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(PRIVATE_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/RDWR_H.MBR QRPGLESRC.RDWR_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(RDWR_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/README.MBR QRPGLESRC.README >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(README) srctype(TXT) >> %TEMPFILE%
echo put QRPGLESRC.FILE/SOCKET_H.MBR QRPGLESRC.SOCKET_H >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(SOCKET_H) srctype(RPGLE) >> %TEMPFILE%
echo put QRPGLESRC.FILE/XMLSTUBR4.MBR QRPGLESRC.XMLSTUBR4 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QRPGLESRC) mbr(XMLSTUBR4) srctype(RPGLE) >> %TEMPFILE%
echo put QSH.FILE/MKZIP.MBR QSH.MKZIP >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QSH) mbr(MKZIP) srctype(TXT) >> %TEMPFILE%
echo put QSH.FILE/UPLOAD1.MBR QSH.UPLOAD1 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QSH) mbr(UPLOAD1) srctype(TXT) >> %TEMPFILE%
echo put QSH.FILE/UPLOAD2.MBR QSH.UPLOAD2 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QSH) mbr(UPLOAD2) srctype(TXT) >> %TEMPFILE%
echo put QSRVSRC.FILE/EXPAT.MBR QSRVSRC.EXPAT >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QSRVSRC) mbr(EXPAT) srctype(BND) >> %TEMPFILE%
echo put QSRVSRC.FILE/HTTPAPI1.MBR QSRVSRC.HTTPAPI1 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QSRVSRC) mbr(HTTPAPI1) srctype(BND) >> %TEMPFILE%
echo put QSRVSRC.FILE/HTTPAPI2.MBR QSRVSRC.HTTPAPI2 >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QSRVSRC) mbr(HTTPAPI2) srctype(BND) >> %TEMPFILE%
echo put QSRVSRC.FILE/LICENSE.MBR QSRVSRC.LICENSE >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QSRVSRC) mbr(LICENSE) srctype(TXT) >> %TEMPFILE%
echo put QXMLGENS.FILE/HTTPAPI.MBR QXMLGENS.HTTPAPI >> %TEMPFILE%
echo quote rcmd chgpfm file(%LIB%/QXMLGENS) mbr(HTTPAPI) srctype(TXT) >> %TEMPFILE%
echo quit >> %TEMPFILE%
ftp -s:%TEMPFILE% %HOST%
del %TEMPFILE%
goto end
:usage
echo.
echo USAGE: upload HOST USERID PASSWORD
echo.
echo      HOST = FTP host you want to upload to (as400.example.com)
echo    USERID = UserID to log in with
echo  PASSWORD = Password to log in with
echo.
:end
